JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Typedefs
juce_ExtensionsVisitor.h File Reference

## Classes
struct | ExtensionsVisitor
| Create a derived implementation of this class and pass it to AudioPluginInstance::getExtensions() to retrieve format-specific information about a plugin instance. More...
struct | ExtensionsVisitor::Unknown
| Indicates that there is no platform specific information available. More...
struct | ExtensionsVisitor::VST3Client
| Can be used to retrieve information about a VST3 that is wrapped by an AudioProcessor. More...
struct | ExtensionsVisitor::AudioUnitClient
| Can be used to retrieve information about an AudioUnit that is wrapped by an AudioProcessor. More...
struct | ExtensionsVisitor::VSTClient
| Can be used to retrieve information about a VST that is wrapped by an AudioProcessor. More...
struct | ExtensionsVisitor::ARAClient
| Can be used to retrieve information about a plugin that provides ARA extensions. More...

## Typedefs
typedef struct ComponentInstanceRecord * | AudioComponentInstance
typedef AudioComponentInstance | AudioUnit